
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.IOException;
import java.io.OutputStream;

import javax.imageio.ImageIO;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import javax.swing.JPanel;

public class CircleServlet extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest request,
            HttpServletResponse response) throws ServletException,
            IOException {
        HttpSession session = request.getSession();
        Integer width = (Integer) session.getAttribute(TvarGrafuServlet.sessionPrefix + "width");
        Integer height = (Integer) session.getAttribute(TvarGrafuServlet.sessionPrefix + "height");
        Integer pocet = (Integer) session.getAttribute(TvarGrafuServlet.sessionPrefix + "pocet");
        String[] values = (String[]) session.getAttribute(SeznamCiselServlet.sessionPrefix + "values");

        if(width == null) width = 300;
        if(height == null) height = 300;
        if(pocet == null) pocet = 0;
        int[] intValues;
        if (values != null) {
            intValues = new int[values.length];
        } else {
            intValues = new int[0];
        }

        for (int i = 0; i < intValues.length; i++) {
            intValues[i] = Integer.parseInt(values[i]);
        }

        BufferedImage image = new BufferedImage(width, height, BufferedImage.TYPE_INT_RGB);
        graph.GraphComponent panel = new graph.GraphComponent(intValues);
        panel.setBounds(0, 0, image.getWidth(), image.getHeight());
        panel.paint(image.getGraphics());

        response.setContentType("image/png");
        OutputStream os = response.getOutputStream();
        ImageIO.write(image, "png", os);
        os.close();
    }
}
